Imports System
Imports System.IO

Module Example

    Sub Main()

        Dim document As Siberix.Sparkle.PDF.Document = New Siberix.Sparkle.PDF.Document()

        document.Info.Title = "Example"
        document.Info.Author = "Siberix Technologies, Canada"
        document.Info.Creator = "Siberix PDF Sparkle for .NET"

        Dim page As Siberix.Sparkle.PDF.IPage = document.AddPage(612, 792)

        Dim image As Siberix.Sparkle.Graphics.Image = New Siberix.Sparkle.Graphics.Image("../../image.jpg")

        page.Graphics.DrawImage(image, 50, 50, image.Width * 0.65F, image.Height * 0.65F)

        document.Generate("Image.pdf")

        ' View
        Dim process As System.Diagnostics.Process = New System.Diagnostics.Process()
        Dim info As System.Diagnostics.ProcessStartInfo = New System.Diagnostics.ProcessStartInfo("Image.pdf")
        process.StartInfo = info
        process.Start()

    End Sub

End Module
